View Issue Details

IDProjectCategoryView StatusLast Update
0002521FreeCADBugpublic2016-05-20 11:13
ReporterberkaAssigned Towmayer 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSMac OSOS Version10.11.4 (15E65)
Product Version 
Target VersionFixed in Version0.16 
Summary0002521: SIGSEGV when trying to revert to saved file.
DescriptionFreeCAD crashes when selecting File->Revert and confirming the dialog box.
When invoked from the command line the following is the output:
#############################
$ /Applications/3D\ CAD/FreeCAD.app/Contents/bin/FreeCAD -l
FreeCAD 0.16, Libs: 0.16R6702 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2015
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##

Coin warning in cc_glglue_instance(): Error when setting up the GL context. This can happen if there is no current context, or if the context has been set up incorrectly.
2016-04-24 14:34:57.592 FreeCAD[19352:4117876] modalSession has been exited prematurely - check for a reentrant call to endModalSession:
*** Abort *** an exception was raised, but no catch was found.
    ... The exception is:SIGSEGV 'segmentation violation' detected. Address 0
Steps To Reproduce1) Open FreeCAD
2) Open an existing project
3) Optional: Make changes to project.
4) Select Menu item File->Revert
5) Answer "Yes" to the "Are you sure" dialog box.
Additional InformationOS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6702 (Git)
Build type: Release
Branch: (detached from d2a08df)
Hash: d2a08df5e2db1c9c1dfa39dd45f1a306b3955cdc
Python version: 2.7.11
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

wmayer

2016-04-25 08:03

administrator   ~0007001

Could you offer the stack trace of the crash, please?

berka

2016-04-25 08:50

reporter   ~0007002

This crash doesn't generate the diagnostic information I'm accustomed to seeing when an application crashes.

I scraped through MacOS logs at various places for 30 minutes for any indication, but I can't find anything. The other FreeCAD references are to some stack sampling done when FreeCAD becomes unresponsive for a few seconds here and there.

Any ideas?

wmayer

2016-04-25 09:35

administrator   ~0007003

You have to explicitly run FreeCAD in the debugger (is it lldb on OSX?) and then wait for the crash to be happen. Afterwards you should be able to get the stack information with "bt".

Doesn't this work this way?

berka

2016-05-20 08:28

reporter   ~0007113

Hi. Sorry this took so long. You're right lldb allowed me to halt on exception and run a backtrace. I will attach.
I normally get this (and more) information automatically reported on an application crash.
This is very easy to reproduce, so let me know if you need any experiments done.

berka

2016-05-20 08:31

reporter  

FreecadStack-Bug0002521.txt (Attachment missing)

wmayer

2016-05-20 08:54

administrator   ~0007114

Thanks for the information. It shows the relevant part of the call stack so I hope we can reproduce it, too.

wmayer

2016-05-20 11:13

administrator   ~0007115

I have applied this fix to v0.16, too.

Issue History

Date Modified Username Field Change
2016-04-24 18:46 berka New Issue
2016-04-25 08:03 wmayer Note Added: 0007001
2016-04-25 08:03 wmayer Status new => feedback
2016-04-25 08:50 berka Note Added: 0007002
2016-04-25 08:50 berka Status feedback => new
2016-04-25 09:35 wmayer Note Added: 0007003
2016-05-20 08:28 berka Note Added: 0007113
2016-05-20 08:31 berka File Added: FreecadStack-Bug0002521.txt
2016-05-20 08:54 wmayer Note Added: 0007114
2016-05-20 10:16 wmayer Assigned To => wmayer
2016-05-20 10:16 wmayer Status new => confirmed
2016-05-20 11:03 wmayer Changeset attached => FreeCAD Master master 2e79aefc
2016-05-20 11:12 wmayer Changeset attached => FreeCAD Master releases 0c449d7e
2016-05-20 11:13 wmayer Note Added: 0007115
2016-05-20 11:13 wmayer Status confirmed => closed
2016-05-20 11:13 wmayer Resolution open => fixed
2016-05-20 11:13 wmayer Fixed in Version => 0.16